OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_DimensionalSizeWithPath Class Reference

Representation of STEP entity DimensionalSizeWithPath
.

`#include <StepShape_DimensionalSizeWithPath.hxx>`

Inheritance diagram for StepShape_DimensionalSizeWithPath:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_DimensionalSizeWithPath ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepRepr_ShapeAspect)&aDimensionalSize_AppliesTo, const Handle(TCollection_HAsciiString)&aDimensionalSize_Name, const Handle(StepRepr_ShapeAspect)&aPath)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_ShapeAspect | Path () const
| Returns field Path .
Standard_EXPORT void | SetPath (const Handle(StepRepr_ShapeAspect)&Path)
| Set field Path .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_ShapeAspect | thePath

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DimensionalSizeWithPath::StepShape_DimensionalSizeWithPath | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_DimensionalSizeWithPath::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_DimensionalSize.

Standard_EXPORT void StepShape_DimensionalSizeWithPath::Init | ( | const Handle(StepRepr_ShapeAspect)& | aDimensionalSize_AppliesTo,
|  | const Handle(TCollection_HAsciiString)& | aDimensionalSize_Name,
|  | const Handle(StepRepr_ShapeAspect)& | aPath
| ) |

Standard_EXPORT Handle_StepRepr_ShapeAspect StepShape_DimensionalSizeWithPath::Path | ( |  | ) | const

Standard_EXPORT void StepShape_DimensionalSizeWithPath::SetPath | ( | const Handle(StepRepr_ShapeAspect)& | Path | ) |

## Field Documentation

Handle_StepRepr_ShapeAspect StepShape_DimensionalSizeWithPath::thePath`[private]`

The documentation for this class was generated from the following file:

- StepShape_DimensionalSizeWithPath.hxx